### Function

# Gimp text_layer_set_hint_style

#### Declaration [src]

    gboolean
    gimp_text_layer_set_hint_style (
      GimpLayer* layer,
      GimpTextHintStyle style
    )

#### Description [src]

Control how font outlines are hinted in a text layer.

This procedure sets the hint style for font outlines in a text layer. This controls whether to fit font outlines to the pixel grid, and if so, whether to optimize for fidelity or contrast.

Available since: | 2.8

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.
`style` | `GimpTextHintStyle`
| The new hint style.

#### Return value

Returns: | `gboolean`
| TRUE on success.